import ts from 'typescript';
import * as Layout from '../../lib/layout';
import { ExtractedContextTypes } from './extractor';
/**
 * Run the extractor in a work if possible. For example in Node 10 workers are
 * not available by default. If workers are not available then extraction falls
 * back to running in this process, possibly blocking with with intensive CPU work.
 */
export declare function runAddToContextExtractorAsWorkerIfPossible(layoutData: Layout.Layout['data']): Promise<ExtractedContextTypes>;
/**
 * Run the pure extractor and then write results to a typegen module.
 */
export declare function runAddToContextExtractorAsPromise(program: ts.Program): Promise<ExtractedContextTypes>;
/**
 * Run the extractor in a worker.
 */
export declare function runAddToContextExtractorAsWorker(layoutData: Layout.Data): Promise<ExtractedContextTypes>;
//# sourceMappingURL=add-to-context-extractor.d.ts.map