import * as RootLogger from './root-logger';
declare type Context = Record<string, unknown>;
export declare type LogRecord = {
    path: string[];
    event: string;
    level: 10 | 20 | 30 | 40 | 50 | 60;
    time: number;
    pid: number;
    hostname: string;
    context: Context;
    v: number;
};
declare type Log = (event: string, context?: Context) => void;
export declare type Logger = {
    fatal: Log;
    error: Log;
    warn: Log;
    info: Log;
    debug: Log;
    trace: Log;
    addToContext: (context: Context) => Logger;
    child: (name: string) => Logger;
};
/**
 * Create a logger.
 */
export declare function create(rootState: RootLogger.State, path: string[], parentContext: Context): {
    logger: Logger;
    link: Link;
};
declare type Link = {
    onNewParentContext: (newContext: Context) => void;
};
export {};
//# sourceMappingURL=logger.d.ts.map