"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const NexusSchema = tslib_1.__importStar(require("@nexus/schema"));
const BackingTypes = tslib_1.__importStar(require("../nexus-schema-backing-types"));
async function writeTypegen(schema, finalConfig, rootTypingsGlobPattern, layout) {
    const typegenConfig = NexusSchema.core.resolveTypegenConfig(finalConfig);
    const backingTypes = await BackingTypes.extractAndWrite(rootTypingsGlobPattern, {
        extractCwd: layout.sourceRoot,
    });
    const schemaWithRemappedBackingTypes = BackingTypes.withRemappedRootTypings(schema, backingTypes);
    await new NexusSchema.core.TypegenMetadata(typegenConfig).generateArtifacts(schemaWithRemappedBackingTypes);
}
exports.writeTypegen = writeTypegen;
//# sourceMappingURL=utils.js.map