"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ts = tslib_1.__importStar(require("typescript"));
const tsc_1 = require("../../lib/tsc");
const start_module_1 = require("./start-module");
function createDevAppRunner(layout, opts) {
    const startModule = start_module_1.createStartModuleContent({
        registerTypeScript: {
            target: ts.ScriptTarget.ES2015,
            module: ts.ModuleKind.CommonJS,
        },
        internalStage: 'dev',
        layout: layout,
        absoluteModuleImports: true,
        runtimePluginManifests: [],
        disableServer: opts === null || opts === void 0 ? void 0 : opts.disableServer,
    });
    const transpiledStartModule = tsc_1.transpileModule(startModule, {
        target: ts.ScriptTarget.ES2015,
        module: ts.ModuleKind.CommonJS,
    });
    // Dynamically require app here to prevent from constructing the singleton when importing this module
    const app = require('../../index');
    app.settings.change({
        server: opts === null || opts === void 0 ? void 0 : opts.server,
    });
    return {
        start: () => {
            return eval(transpiledStartModule);
        },
        stop: () => app.server.stop(),
        port: app.settings.current.server.port,
    };
}
exports.createDevAppRunner = createDevAppRunner;
//# sourceMappingURL=dev-runner.js.map